=== debian/changelog ===
pev (0.31-2) unstable; urgency=low

  * Fixed description.
  * Compliance with Standards-Version 3.9.2

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Thu, 19 May 2011 11:39:39 -0300

pev (0.31-1) unstable; urgency=low

  * New upstream release.
  * Updated description (Closes: #618693)
  * Display PE headers and sections.

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Thu, 19 May 2011 04:12:56 -0300

pev (0.22-1) unstable; urgency=low

  * Initial release. (Closes: #608460)

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Tue, 28 Dec 2010 22:35:58 -0200
