=== debian/control ===
Source: pev
Maintainer: Fernando Mercês <fernando@mentebinaria.com.br>
Homepage: http://pev.sourceforge.net
Section: utils
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.0)

Package: pev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based tool to analyze PE files
 pev is a tool to get information of PE32 executables
 (EXE, DLL, OCX etc) like  headers, sections and
 Product Version field from resources section.
