=== debian/changelog ===
pev (0.40-1) unstable; urgency=low

  * New upstreamer version.
  * Added PE32+ support, TLS, ASLR and DEP checks.

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Wed, 17 Aug 2011 09:21:20 -0300
