=== debian/control ===
--- 
+++ 
@@ -10,6 +10,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: text-based tool to analyze PE files
- pev is a tool to get information of PE32 executables
- (EXE, DLL, OCX etc) like  headers, sections and
- Product Version field from resources section.
+ pev is a tool to get information of PE32/PE32+
+ executables (EXE, DLL, OCX etc) like  headers,
+ sections, resources and more.
