=== debian/changelog ===
pev (0.50-1) unstable; urgency=medium

  * QA upload.
  * Imported Debian packaging to collab-maint git.
  * Change maintainer to Debian QA Group  as package is orphaned (bug #836368).
  * Changed Standards-Version from 3.9.2 to 3.9.8.
  * Changed debhelper compat level from 7 to 9.
  * Updated to upstream version 0.50.
    - Adjust build rules for version 0.50.  Added install-target.patch.
    - Not updating to version 0.60 and newer because this is a GPL
      program linking to OpenSSL without the OpenSSL exception.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 02 Sep 2016 11:33:08 +0200
