=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pev
-Maintainer: Fernando Mercês <fernando@mentebinaria.com.br>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://pev.sourceforge.net
 Section: utils
 Priority: extra
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.0)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9)
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pev.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pev.git
 
 Package: pev
 Architecture: any
