=== debian/changelog ===
pev (0.80-4) unstable; urgency=medium

  * QA upload.
  * Migrate to openssl 1.1. (Closes: #870779)
  * Priority optional.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Dec 2017 16:02:05 +0100

pev (0.80-3) unstable; urgency=medium

  * QA upload.
  * Fix segfault due to modification of const value. (Closes: #868554)
  * Extend autopkgtest check to run pehash too.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jul 2017 20:50:18 +0200

pev (0.80-2) unstable; urgency=medium

  * QA upload.
  * Reorder build dependency for ssl, list libssl1.0-dev first to make
    life easier for the autobuilders.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jul 2017 17:31:35 +0000

pev (0.80-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.80 (Closes: #772837).
    - Dropped install-target.patch now applied upstream.
    - Adjusted build rules for new upstream version.
    - Added libssl1.0-dev as build dependency.
    - Added 01-plugins-path.patch to adjust plugin path.
  * Added simple autopkgtest check.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jul 2017 14:27:47 +0000
