=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://pev.sourceforge.net
 Section: utils
-Priority: extra
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Priority: optional
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 9), libssl-dev
+Rules-Requires-Root: no
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pev.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pev.git
