=== debian/tests/control ===
Depends: @, gzip-win32, valgrind
Tests: test-runs
