=== debian/watch ===
version=3
http://sf.net/pev/pev-(.+)\.tar\.gz
