=== src/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 man1dir = $(mandir)/man1
 man1ext = .1
 
-export pluginsdir = $(DESTDIR)$(libdir)/pev/plugins
+export pluginsdir = $(libdir)/pev/plugins
 
 ####### Makefile Conventions - Utilities
 
@@ -52,9 +52,16 @@
 
 ####### Compiler options
 
-override LDFLAGS += -L$(LIBPE) -lpe -ldl
-override CFLAGS += -I$(LIBPE) -I"../include" -W -Wall -Wextra -std=c99 -pedantic
-override CPPFLAGS += -D_GNU_SOURCE -DSHAREDIR="\"$(SHAREDIR)"\"
+override LDFLAGS += -L$(LIBPE) -lpe -lcrypto -lssl -ldl -lm
+override CFLAGS += -I$(LIBPE)/include -I"../include" -W -Wall -Wextra -std=c99 -pedantic
+# Some gcc/clang builds (depends on the distro) already define _FORTIFY_SOURCE internally, so we
+# undefine it first to avoid redefinition warnings.
+override CPPFLAGS += \
+	-D_GNU_SOURCE \
+	-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=1 \
+	-DSHAREDIR="\"$(SHAREDIR)"\" \
+	-DPLUGINSDIR="\"$(pluginsdir)"\"
+
 
 ifeq ($(PLATFORM_OS), Darwin)
 	# We disable warnings for deprecated declarations since Apple deprecated OpenSSL in Mac OS X 10.7
@@ -65,14 +72,13 @@
 	override CPPFLAGS += -D_XOPEN_SOURCE=600
 endif
 
-SRC_DIRS = $(srcdir) $(srcdir)/compat $(srcdir)/../lib/libfuzzy
+SRC_DIRS = $(srcdir) $(srcdir)/compat
 
-PROGS = readpe rva2ofs ofs2rva pehash pesec pescan pepack pestr pedis peres
+PROGS = readpe rva2ofs ofs2rva pehash pesec pescan pepack pestr pedis peres peldd
 PLUGINS_DIR = $(srcdir)/plugins
 SHAREDIR = $(datadir)/pev
 export LIBPE = $(realpath $(srcdir)/../lib/libpe)
 LIBUDIS86 = $(srcdir)/../lib/libudis86
-LIBFUZZY = $(srcdir)/../lib/libfuzzy
 MANDIR = $(srcdir)/../doc/manpages
 
 export pev_BUILDDIR = ./build
@@ -85,7 +91,6 @@
 	$(pev_BUILDDIR)/config.o \
 	$(pev_BUILDDIR)/dylib.o \
 	$(pev_BUILDDIR)/malloc_s.o \
-	$(pev_BUILDDIR)/utils.o \
 	$(pev_BUILDDIR)/plugins.o \
 	$(pev_BUILDDIR)/output_plugin.o \
 	$(pev_BUILDDIR)/output.o \
@@ -108,10 +113,8 @@
 pedis: $(pev_BUILDDIR)/pedis.o $(pev_OBJS)
 	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LIBUDIS86)/libudis86/*.c
 
-pehash: LDFLAGS += -lssl -lcrypto
-pehash: CFLAGS += -I$(LIBFUZZY)
 pehash: $(pev_BUILDDIR)/pehash.o $(pev_OBJS)
-	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LIBFUZZY)/*.c
+	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
 
 pepack: $(pev_BUILDDIR)/pepack.o $(pev_OBJS)
 	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
@@ -135,6 +138,9 @@
 
 rva2ofs: $(pev_BUILDDIR)/rva2ofs.o $(pev_OBJS)
 	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
+	
+peldd: $(pev_BUILDDIR)/peldd.o $(pev_OBJS)
+	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
 
 # Generic rule matching sources
 
@@ -144,7 +150,7 @@
 
 install: installdirs
 	for prog in $(PROGS); do \
-		$(INSTALL_PROGRAM) $(pev_BUILDDIR)/$$prog $(DESTDIR)$(bindir); \
+		$(INSTALL_PROGRAM) $(INSTALL_FLAGS) $(pev_BUILDDIR)/$$prog $(DESTDIR)$(bindir); \
 		$(CHK_FILE_EXISTS) $(MANDIR)/$$prog$(man1ext) && \
 			gzip -c -9 $(MANDIR)/$$prog$(man1ext) > $(DESTDIR)$(man1dir)/$$prog$(man1ext).gz || \
 			echo -n; \
@@ -152,6 +158,9 @@
 
 	$(INSTALL_DATA) $(srcdir)/userdb.txt $(DESTDIR)$(SHAREDIR)
 	cd $(PLUGINS_DIR) && $(MAKE) $@
+
+install-strip: INSTALL_FLAGS += -s
+install-strip: install
 
 installdirs:
 	@$(CHK_DIR_EXISTS) $(DESTDIR) || $(MKDIR) $(DESTDIR)
