=== src/windows/Makefile ===
CFLAGS = -W -Wall -Wextra -std=c99 -pedantic
pev_BUILDDIR = ../build/


all:
	cc $(CFLAGS) -o $(pev_BUILDDIR)/cpload.exe cpload.c
clean:
	rm -f cpload.exe
