=== debian/changelog ===
pev (0.81-3+deb11u1) bullseye; urgency=medium

  * debian/patches/0002-fix-bo-pe_exports.patch: created to fix a buffer
    overflow vulnerability present on libpe's pe_exports function from exports.c
    (CVE-2021-45423). Without this patch, a maliciously-crafted PE file opened
    by pev utilities can trigger arbitrary code execution. (Closes: #1034725)

 -- David da Silva Polverari <david.polverari@gmail.com>  Sat, 22 Apr 2023 20:48:00 +0000

pev (0.81-3) unstable; urgency=medium

  * QA upload.
  * Avoid off-by-one error in libpe pe_utils_str_widechar2ascii()
    (Closes: #987959)
  * Extended autopkgtest to report if the Windows EXE file is missing.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 05 May 2021 14:09:18 +0200

pev (0.81-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Jan 2021 10:27:52 +0100

pev (0.81-1) experimental; urgency=medium

  * QA upload.

  * New upstream version 0.81.
    - Dropped 10-bogus-const.patch, 11-pehash-openssl-1.1.patch,
      11-pesec-openssl-1.1.patch and 12-text-typos.patch as the issues
      are fixed upstream.
    - Dropped 01-plugins-path.patch and moved setting to d/rules, as
      the upstream code provide global define for it now.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 19 Jan 2021 09:39:20 +0100

pev (0.80-7) unstable; urgency=medium

  * Removed trailing blank line from d/rules.  Thanks Lintian.
  * Updated from debhelper 9 to 12.
  * Updated Standards-Version from 4.1.2 to 4.5.1.
  * Added new 12-text-typos.patch fixing some typos.
  * Allow stderr output from valgrind in autopkgtest run.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Jan 2021 19:02:24 +0100

pev (0.80-6) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Jan 2021 11:33:05 +0100

pev (0.80-5) unstable; urgency=low

  * QA upload.
  * Fix the autopkgtest. (Closes: #960880)

 -- Adrian Bunk <bunk@debian.org>  Tue, 30 Jun 2020 11:09:02 +0300
