=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Homepage: http://pev.sourceforge.net
 Section: utils
 Priority: optional
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9), libssl-dev
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 12), libssl-dev
 Rules-Requires-Root: no
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pev.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/pev.git
+Vcs-Browser: https://salsa.debian.org/debian/pev
+Vcs-Git: https://salsa.debian.org/debian/pev.git
 
 Package: pev
 Architecture: any
