=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/lib/libfuzzy/edit_dist.o src/lib/libfuzzy/fuzzy.o
override_dh_auto_build:
	$(MAKE) prefix=/usr pluginsdir=/usr/lib/pev/plugins
override_dh_auto_install:
	$(MAKE) prefix=/usr pluginsdir=/usr/lib/pev/plugins \
	    DESTDIR=$(CURDIR)/debian/pev install
