=== debian/watch ===
version=3
https://sf.net/pev/pev-(.+)\.tar\.gz
